<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" encoding="utf-8" indent="yes"/>
<xsl:include href="main.xsl"/>
<xsl:include href="service-status.xsl"/>
<xsl:include href="default.xsl"/>
<xsl:include href="records.xsl"/>
<xsl:include href="types.xsl"/>
<xsl:include href="article.xsl"/>

<xsl:template match="/">
	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
			<link rel="stylesheet" type="text/css" media="screen, print" href="/default.css"/>
			<title>ESL Server</title>
		</head>
		<body>
			<div id="navigation">
				<h2>Labels</h2>
				<ul>
					<li><a href="/service/labelinfo/index.xml?page=0">All Labels</a></li>
					<li><a href="/service/labelinfo/status/online.xml?page=0">Online Labels</a></li>
					<li><a href="/service/labelinfo/status/offline.xml?page=0">Offline Labels</a></li>
					<li><a href="/service/labelinfo/unsuccessful.xml?page=0">Unsuccessful Updates</a></li>
					<li><a href="/service/labelinfo/error.xml?page=0">Hardware Errors</a></li>
					<li><a href="/service/labelinfo/powerstatus/low.xml?page=0">Low Battery</a></li>
					<li><a href="/service/labelinfo/powerstatus/bad.xml?page=0">Bad Battery</a></li>
				</ul>
				
				<h2>Article Management</h2>
				<ul>
					<li><a href="/service/articlerecord/index.xml?page=0">Articles</a></li>
					<li><a href="/service/matchingrecord/index.xml?page=0">Matchings</a></li>
					<li><a href="/service/template/index.xml?page=0">Templates</a></li>
				</ul>
				
				<h2>Update Log</h2>
				<ul>
					<li><a href="/service/updatestatus/all.xml?page=0">All Updates</a></li>
					<li><a href="/service/updatestatus/waiting.xml?page=0">Waiting Updates</a></li>
					<li><a href="/service/updatestatus/unsuccessful.xml?page=0">Failed Updates</a></li>
					<li><a href="/service/transactionrecord/index.xml?page=0">Transactions</a></li>
				</ul>
				
				<h2>Access Points</h2>
				<ul>
					<li><a href="/service/accesspointconfiguration/index.xml?page=0">Configuration</a></li>
					<li><a href="/service/accesspointinfo/status/discovered.xml?page=0">Discovered</a></li>
					<li><a href="/service/accesspointinfo/index.xml?page=0">Status</a></li>
				</ul>
				
				<h2>Maintenance</h2>
				<ul>
					<li><a href="/service/licencerecord/index.xml?page=0">Licences</a></li>
					<li><a href="/service/configuration/index.xml?page=0">Configuration</a></li>
					<li><a href="/service/user/index.xml?page=0">Users</a></li>
					<li><a href="/service/labels/registered.xml">Registered Labels</a></li>
					<li><a href="/service/problems.xml">Problems</a></li>
					<li><a href="/service/status.xml">Status</a></li>
					<li><a href="/service/logging/level/info.xml?page=0">Logging</a></li>
				</ul>
				
				<h2>Export</h2>
				<ul>
					<li><a href="/service/export/licences.csv">Licences</a></li>
					<li><a href="/service/export/labels.csv">Registered Labels</a></li>
					<li><a href="/service/export/accesspoints.csv">Access Points</a></li>
					<li><a href="/service/export/configuration.csv">Configuration</a></li>
					<li><a href="/service/export/matchings.csv">Matchings</a></li>
					<li><a href="/service/export/articles.csv">Articles</a></li>
					<li><a href="/service/export/tags.csv">Tags</a></li>
				</ul>
				
				<h2>Documentation</h2>
				<ul>
					<li><a href="/service/queries/index.xml">Query Summary</a></li>
					<li><a href="/service/description/labeltype.xml">Label Types</a></li>
					<li><a href="/service/description/status.xml">Task Status</a></li>
					<li><a href="/service/description/tasktype.xml">Task Type</a></li>
					<li><a href="/service/description/taskpriority.xml">Task Priority</a></li>
					<li><a href="/service/description/updateerror.xml">Update Error Codes</a></li>
					<li><a href="/service/description/connectionstatus.xml">Connection Status</a></li>
					<li><a href="/service/description/powerstatus.xml">Power Status</a></li>
					<li><a href="/service/description/linkquality.xml">Link Quality</a></li>
					<li><a href="/service/description/labelerror.xml">Label Error Codes</a></li>
					<li><a href="/service/description/problemseverity.xml">Problem Severity</a></li>
				</ul>
				
			</div>
			
			<div id="content">
				<xsl:apply-templates/>
			</div>
			
			<div id="footer">
				© imagotag GmbH
			</div>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>
